# Coveo DynamicHierarchicalFacet Component (CoveoDynamicHierarchicalFacet)

## Index

### Methods

- collapse
- debugInfo
- disable
- enable
- enableFreezeFacetOrderFlag
- expand
- getBindings
- getCaption
- reset
- selectPath
- showLessValues
- showMoreValues
- toggleCollapse
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- basePath
- clearLabel
- collapsedByDefault
- customSort
- customSortDelimitingCharacter
- delimitingCharacter
- dependsOn
- dependsOnCondition
- enableCollapse
- enableFacetSearch
- enableMoreLess
- enableScrollToTop
- field
- filterFacetCount
- id
- includeInBreadcrumb
- injectionDepth
- numberOfValues
- sortCriteria
- title
- valueCaption

### Constructors

- constructor

## Methods

### collapse

- collapse(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :614

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### enableFreezeFacetOrderFlag

- enableFreezeFacetOrderFlag(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :603

  #### Returns void

### expand

- expand(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :581

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getCaption

- getCaption(value: string): string

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :637

  #### Parameters

  - ##### value: string

  #### Returns string

### reset

- reset(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :558

  #### Returns void

### selectPath

- selectPath(path: string[]): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :537

  #### Parameters

  - ##### path: string[]

  #### Returns void

### showLessValues

- showLessValues(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :522

  #### Returns void

### showMoreValues

- showMoreValues(additionalNumberOfValues?: number): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :508

  #### Parameters

  - ##### Default value additionalNumberOfValues: number = this.options.numberOfValues

  #### Returns void

### toggleCollapse

- toggleCollapse(): void

- - Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :574

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### basePath

basePath: string[]

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :311

Markup configuration example(s) :

    data-base-path='electronics'
    data-base-path='electronics,laptops'

### clearLabel

clearLabel: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :293

Markup configuration example(s) :

    data-clear-label='Everything'

### collapsedByDefault

collapsedByDefault: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :125

Markup configuration example(s) :

    data-collapsed-by-default='true'
    data-collapsed-by-default='false'

### customSort

customSort: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :260

Markup configuration example(s) :

    data-custom-sort='foo'

### customSortDelimitingCharacter

customSortDelimitingCharacter: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :279

Markup configuration example(s) :

    data-custom-sort-delimiting-character='foo'

### delimitingCharacter

delimitingCharacter: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :171

Markup configuration example(s) :

    data-delimiting-character='>'

### dependsOn

dependsOn: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :189

Markup configuration example(s) :

    data-depends-on='department'

### dependsOnCondition

dependsOnCondition: IDependentFacetCondition

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :201

### enableCollapse

enableCollapse: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :120

Markup configuration example(s) :

    data-enable-collapse='true'
    data-enable-collapse='false'

### enableFacetSearch

enableFacetSearch: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :156

Markup configuration example(s) :

    data-enable-facet-search='true'
    data-enable-facet-search='false'

### enableMoreLess

enableMoreLess: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :151

Markup configuration example(s) :

    data-enable-more-less='true'
    data-enable-more-less='false'

### enableScrollToTop

enableScrollToTop: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :130

Markup configuration example(s) :

    data-enable-scroll-to-top='true'
    data-enable-scroll-to-top='false'

### field

field: IFieldOption

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :93

Markup configuration example(s) :

    data-field='@category'

### filterFacetCount

filterFacetCount: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :215

Markup configuration example(s) :

    data-filter-facet-count='true'
    data-filter-facet-count='false'

### id

id: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :78

Markup configuration example(s) :

    data-id='productcategory'

### includeInBreadcrumb

includeInBreadcrumb: boolean

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :135

Markup configuration example(s) :

    data-include-in-breadcrumb='true'
    data-include-in-breadcrumb='false'

### injectionDepth

injectionDepth: number

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :144

Markup configuration example(s) :

    data-injection-depth='500'

### numberOfValues

numberOfValues: number

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :115

Markup configuration example(s) :

    data-number-of-values='8'

### sortCriteria

sortCriteria: "occurrences" | "alphanumeric"

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :226

Markup configuration example(s) :

    data-sort-criteria='alphanumeric'

### title

title: string

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :102

Markup configuration example(s) :

    data-title='Product category'

### valueCaption

valueCaption: IStringMap<string>

- Defined in ui/DynamicHierarchicalFacet/DynamicHierarchicalFacet.ts :178

## Constructors

### constructor

- new DynamicHierarchicalFacet(element: HTMLElement, type: string, bindings?: IComponentBindings): DynamicHierarchicalFacet

- Inherited from Component.constructor

  - Defined in ui/Base/Component.ts :296

  #### Parameters

  - ##### element: HTMLElement

  - ##### type: string

  - ##### Default value bindings: IComponentBindings = {}

  #### Returns DynamicHierarchicalFacet

### Implements

- IDynamicHierarchicalFacet